Name: comical
Version: 0.4
Release: 9%{?dist}
Summary: GUI comic book viewer
License: GPLv2
Group: Applications/Multimedia
URL: http://comical.sourceforge.net/
Source0: http://jathey.home.comcast.net/comical-0.4.tar.gz
Source1: comical.png
Source2: comical.desktop
Patch0: comical-0.4-bracket.patch
Patch1: comical-0.4-sort.patch
Patch2: comical-0.4-nounrar.patch
Patch3: comical-0.4-advancedsort.patch
Patch4: comical-0.4-jpe.patch
Patch5: comical-0.4-minfix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: wxGTK2-devel
BuildRequires: desktop-file-utils
Requires: unzip, bzip2

%description
Comical is a fully featured GUI comic book viewer using wxWidgets. It 
can view CBZ format files. (CBR format files are viewable if unrar is 
present).

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

install -p -D -m0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        %{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%{_bindir}/comical
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Jun  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-9
- fix x86_64 by not using std::min

* Fri Jun  3 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-8
- add dist tag

* Sun Apr 10 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-7
- Support images that end in ".jpe". Most likely, .jpeg files that 
  were truncated by saving/compressing.

* Sat Apr  9 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-6
- Minor spec cleanups.

* Sat Apr  9 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-5
- Enhance the sort algorithm to be more intelligent.

* Mon Apr  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-4
- drop --with-gtk from configure, unused
- backout "bracket" patch, it breaks if [ or ] are in the directory path

* Mon Apr  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-3
- Add sort menu option to enable/disable sorting of images in archive
- Add logo from Brian Pepple
- Add desktop entry
- Add patch to gracefully deal with the absence of unrar

* Sun Apr  3 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-2
- patch for handling files with [ or ] in their names

* Sun Apr  3 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-1
- inital package for Fedora Extras
- CBR support only works with unrar, but we can't have that as a dep
  due to licensing issues with unrar.
